<ion-header>
  <ion-toolbar class="header">
    <ion-buttons slot="start">
      <ion-menu-button autoHide="false"></ion-menu-button>
    </ion-buttons>
    <ion-title>Eventos</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <!-- <ion-card>
    <ion-card-header tappable (click)="collapseCard =! collapseCard">
      <ion-card-title>Novo evento</ion-card-title>
    </ion-card-header>
    <ion-card-content *ngIf="!collapseCard">
      <ion-item>
        <ion-input type="text" placeholder="Titulo" [(ngModel)]="event.tilte"></ion-input>
      </ion-item>
      <ion-item>
        <ion-input type="text" placeholder="Descricao" [(ngModel)]="event.description"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label>Início</ion-label>
        <ion-datetime displayFormat="MM/DD/YYYY HH:mm" pickerFormat="MMM D:HH:mm" [(ngModel)]="event.startTime"
          [min]="minDate"></ion-datetime>
      </ion-item>
      <ion-item>
        <ion-label>Fim</ion-label>
        <ion-datetime displayFormat="MM/DD/YYYY HH:mm" pickerFormat="MMM D:HH:mm" [(ngModel)]="event.endTime"
          [min]="minDate"></ion-datetime>
      </ion-item>
      <ion-item>
        <ion-label>O dia todo?</ion-label>
        <ion-checkbox [(ngModel)]="event.allDay"></ion-checkbox>
      </ion-item>
      <ion-button fill="outline" expand="block" (click)="addEvent()">Adicionar evento
      </ion-button>
    </ion-card-content>
  </ion-card> -->

  <ion-row>
    <!--Alterar layout calendario-->
    <ion-col size="3">
      <ion-button expand="block" [color]="calendar.mode == 'month' ? 'primary' : 'secondary'"
        (click)="changeMode('month')">Mês</ion-button>
    </ion-col>
    <ion-col size="3">
      <ion-button expand="block" [color]="calendar.mode == 'week' ? 'primary' : 'secondary'"
        (click)="changeMode('week')">Semana</ion-button>
    </ion-col>
    <ion-col size="3">
      <ion-button expand="block" [color]="calendar.mode == 'day' ? 'primary' : 'secondary'" (click)="changeMode('day')">
        Dia</ion-button>
    </ion-col>
    <ion-col size="2" text-center>
      <ion-button (click)="today()">Hoje</ion-button>
    </ion-col>
    <!--Navegar entre meses-->
    <ion-col size="4" text-left>
      <ion-button fill="clear" (click)="back()">
        <ion-icon name="arrow-back" slot="icon-only"></ion-icon>
      </ion-button>
    </ion-col>
    <ion-col size="4" text-center>
      <span>{{viewTitle}}</span>
    </ion-col>
    <ion-col size="4" text-right>
      <ion-button fill="clear" (click)="next()">
        <ion-icon name="arrow-forward" slot="icon-only"></ion-icon>
      </ion-button>
    </ion-col>
  </ion-row>

  <calendar [eventSource]="eventSource" [calendarMode]="calendar.mode" [currentDate]="calendar.currentDate"
    (onEventSelected)="onEventSelected($event)" (onTitleChanged)="onViewTitleChanged($event)"
    (onTimeSelected)="onTimeSelected($event)" startHour="6" endHour="20" step="30" startingDayWeek="1">
  </calendar>

</ion-content>